# Change Log for Dash Player

All notable changes to `dash-player` will be documented in this file.
This project adheres to [Semantic Versioning](https://semver.org/).

Changes to `dash-player` were sponsored by Volkswagen's Center of Excellence for Battery Systems.

<p float="left" align="center" >
<img src="https://user-images.githubusercontent.com/42301846/207075484-2c77d1e1-f0b5-43da-89bf-66ac73c50007.png" width=30% aspect-ratio=3/10 >
</p>

---

## [1.1.0] - 2023-03-16

## Changed
- [#73](https://github.com/plotly/dash-player/pull/73) Converted the JS bundle to async loading

## Updated
- [#76](https://github.com/plotly/dash-player/pull/76) Updated dependencies

## [1.0.6] - 2022-12-12

## Changed

- [#68](https://github.com/plotly/dash-player/pull/66) Change partnership info and improve logo readability

---

## [1.0.5] - 2022-12-08

### Added

- [#64](https://github.com/plotly/dash-player/pull/64) Add partnership information to `README` and `CHANGELOG`

## Changed

- [#66](https://github.com/plotly/dash-player/pull/66) Remove all usage files and replace with link to official documentaion

---

## [1.0.4] - 2022-12-02

## Fixed

- [#62](https://github.com/plotly/dash-player/pull/62) Fix typo in README

## Changed

- [#62](https://github.com/plotly/dash-player/pull/62) Remove `usage-method.py` and revamp `usage-advanced.py`

---

## [1.0.3] - 2022-11-10

## Fixed

- [#57](https://github.com/plotly/dash-player/pull/57) Fix typo in property description

---

## [1.0.2] - 2022-10-20

## Changed

- [#53](https://github.com/plotly/dash-player/pull/53) Use README as package description
- [#54](https://github.com/plotly/dash-player/pull/54) Bump `npm` and `node` versions and remove an obsolete file to reduce the package size

---

## [1.0.0] - 2022-10-20

This release is `v1.0.0` to indicate that `dash-player` is now considered production-ready.

### Added

- [#47](https://github.com/plotly/dash-player/pull/47) Add className property to `dash-player`
- [#49](https://github.com/plotly/dash-player/pull/49) Pass in the `id` property to ReactPlayer
- [#50](https://github.com/plotly/dash-player/pull/50) Add testing to the CI process

### Changed

- [#40](https://github.com/plotly/dash-player/pull/40) Updates dependencies in `packages.json`
- [#43](https://github.com/plotly/dash-player/pull/43) Remove the `extract-meta.js` file
- [#41](https://github.com/plotly/dash-player/pull/41) Add build instructions to `README.md`

### Fixed

- [#32](https://github.com/plotly/dash-player/pull/32) Fix errors and replace broken URLs in demo Python files
- [#48](https://github.com/plotly/dash-player/pull/48) Fix issue with `currentTime`, `secondsLoaded`, and `duration` not loading

---

## [0.0.1] - 2018-08-02

### Added

- [#1](https://github.com/plotly/dash-player/pull/1) Initial component release
